
#ifndef ADADISPHINCLUDED
#define ADADISPHINCLUDED 1

/* Delay function. Uses select() with no file-descriptors */
void delay(long milliseconds);
void microdelay(long microseconds);

/* Visualize a character if it isn't already */
char *vischar(unsigned int cc, char *buff, size_t buffmax);

/* Set initial values for the device, having opened the device
to fd and set correct slave address. */

int setinitial(int fd);

/* Clear the display */
int cleardisp(int fd);

/* Display some text starting at current position */
int dtext(int fd, char *text);

/* Turn backlight on or off */
int backlight(int fd, int blonoff);

/* Move writing point to indicated location */
int gotoca(int fd, int address);

/* return current location of writing */
int whereis(int fd);

/* Put out some printable character and 
move on to the next visible location, roll around
at the ends. */
int ocharmove(int fd, uint8_t thechar);

/* Put out a string, repeated calls to ocharmove() */
int dtext(int fd, char *text);

/* Read the button-states. */
int readb(int fd);

/* Bits defined for the pushbuttons: */ 
#define ADADISP_BUTTON_S 1
#define ADADISP_BUTTON_R 2
#define ADADISP_BUTTON_D 4
#define ADADISP_BUTTON_U 8
#define ADADISP_BUTTON_L 16

#endif




