
#ifndef MCP23017HINCLUDED
#define MCP23017HINCLUDED


/* MCP23017 commands */

/* This is for IOCON.BANK set to 0. 
	which is the 
*/

#define MCP23017_IODIRA   0x00  	/* 0xFF - all inputs */
#define MCP23017_IODIRB   0x01  	/* 0xFF - all inputs */
#define MCP23017_IOPOLA   0x02 		/* 0x00 - 0 is L 1 is H */
#define MCP23017_IOPOLB   0x03 		/* 0x00 - 0 is L 1 is H */
#define MCP23017_GPINTENA 0x04 		/* 0x00 - no intr on change */
#define MCP23017_GPINTENB 0x05 		/* 0x00 - no intr on change */
#define MCP23017_DEFVALA  0x06 		/* 0x00 - default to all 0 */
#define MCP23017_DEFVALB  0x07 		/* 0x00 - default to all 0 */
#define MCP23017_INTCONA  0x08 		/* 0x00 - pin compared to prev value */
#define MCP23017_INTCONB  0x09 		/* 0x00 - pin compared to prev value */
#define MCP23017_IOCON    0x0A 		/* 0x00 - bank 0, and see below */
#define MCP23017_IOCONA   0x0B 		/* 0x00 - bank 0, and see below */
#define MCP23017_GPPUA    0x0C 		/* 0x00 - pull-up resistors off */
#define MCP23017_GPPUB    0x0D 		/* 0x00 - pull-up resistors off */
#define MCP23017_INTFA    0x0E 		/* read-only, interrupts pending */
#define MCP23017_INTFB    0x0F 		/* read-only, interrupts pending */
#define MCP23017_INTCAPA  0x10 		/* read-only, interrupts pending */
#define MCP23017_INTCAPB  0x11 		/* read-only, interrupts pending */
#define MCP23017_GPIOA    0x12 		/* 0x00 -- all bits at 0 L */
#define MCP23017_GPIOB    0x13 		/* 0x00 -- all bits to 0 L */
#define MCP23017_OLATA    0x14 		/* 0x00 -- all bits set to 0 L */
#define MCP23017_OLATB    0x15 		/* 0x00 -- all bits set to 0 L */


/* IOCON: bits: 

7	BANK    0=sequential as shown above 1=separated registers 
6	MIRROR  0=inta/intb pins separated  1=inta/intb pins the same
5	SEQOP   0=address pointer stays 1=address pointer increments
4	DISSLW  0=SDA slew rate control enabled 1=disabled 
3	HAEN    0=disable 1=enable Address pins for SPI device, N/A for MCP23017
2	ODR     0=inta/intb active driver 1=inta/intb open drain
1	INTPOL  0=inta/intb active-Low 1=active-High
0  (unused) 0  always

*/ 


#endif

/* Initialization is going to be specific to the usage. */


