
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <stdint.h>
#include <unistd.h>
#include <fcntl.h>
#include <ctype.h>
#include <linux/i2c-dev.h>
#include "mcp23017.h" 
#include "adadisp.h"



int main(int argc, char **argv)
{
	int fd, ba, s;
	char i2cdev[128];
	int j;

	ba = 0x20;
	strcpy(i2cdev, "/dev/i2c-1"); 

	fd = open(i2cdev, O_RDWR);
	if(fd < 0) return(-1); 

	s = ioctl(fd, I2C_SLAVE, ba);
	if(s != 0) 
	{
		close(fd); 
		return(2); 
	}

	setinitial(fd);
	backlight(fd, 1);

	for(j = 1; j<argc; j++)
	{
		dtext(fd, argv[j]);
	}

	s = readb(fd);
	printf("Button state = 0x%x\n", s);

	printf("Buttons: %s %s %s %s %s %s\n", 
		s & ADADISP_BUTTON_S ? "S" : ".", 
		s & ADADISP_BUTTON_L ? "L" : ".",
		s & ADADISP_BUTTON_U ? "U" : ".", 
		s & ADADISP_BUTTON_D ? "D" : ".", 
		s & ADADISP_BUTTON_R ? "R" : ".", 
		""); 

	/* printf("Buttons: %s %s %s %s %s %s\n", 
		s & 1  ? "S" : ".", 
		s & 16 ? "L" : ".",
		s & 8  ? "U" : ".", 
		s & 4  ? "D" : ".", 
		s & 2  ? "R" : ".", 
		"");  */ 

	close(fd);
	return(0);
}




